PaymentVirtual Account

Retrieve a virtual account application

GET
/openapi/v1/wallet/virtual-account-requests/{requestNo}

Query the details of a virtual account application by its application number.

Authorization

bearerAuth
headerAuthorizationBearer <token>

The access_token obtained from POST /oauth2/token. Header format: Authorization: Bearer {accessToken}.

Path Parameters

requestNo*string

Application number

Header Parameters

X-Channel-Provider?string

Provider identifier, such as GLDB. Defaults to GLDB if not passed

Default"GLDB"

Response Body

Returns the application details.

application/json
  1. response
code?integer

Business status code

message?string
traceId?string

Request trace ID. Provide it when you contact technical support

data?
Example Request
curl -X GET 'https://api.test.stabofx.com/openapi/v1/wallet/virtual-account-requests/SA0000000001'
Example Response
{  "code": 200,  "message": "OK",  "traceId": "a1b2c3d4-e5f6-7890",  "data": {    "requestNo": "SA0000000001",    "status": "SUCCESS",    "accountName": "Example Trading Pte Ltd",    "masterAccountNo": "1000000000",    "virtualAccountNo": "1000000001",    "currency": "SGD",    "contactName": "Example Contact",    "contactEmail": "contact@example.com",    "contactPhone": "+6500000000",    "companyRegistrationDoc": "https://storage.example.com/coi/example.pdf",    "accountOpeningProof": "https://storage.example.com/proof/letter.pdf",    "otherDocuments": [      "https://storage.example.com/docs/statement.pdf"    ],    "message": "VA account opened successfully",    "createdAt": "2025-12-30T16:40:03",    "updatedAt": "2025-12-30T16:40:03"  }}